Update WhatsApp config
curl --request PATCH \
--url https://app.kapso.ai/api/v1/whatsapp_configs/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"whatsapp_config": {
"name": "<string>",
"phone_number_id": "<string>",
"business_account_id": "<string>",
"webhook_verify_token": "<string>",
"webhook_destination_url": "<string>",
"access_token": "<string>"
}
}
'import requests
url = "https://app.kapso.ai/api/v1/whatsapp_configs/{id}"
payload = { "whatsapp_config": {
"name": "<string>",
"phone_number_id": "<string>",
"business_account_id": "<string>",
"webhook_verify_token": "<string>",
"webhook_destination_url": "<string>",
"access_token": "<string>"
} }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
whatsapp_config: {
name: '<string>',
phone_number_id: '<string>',
business_account_id: '<string>',
webhook_verify_token: '<string>',
webhook_destination_url: '<string>',
access_token: '<string>'
}
})
};
fetch('https://app.kapso.ai/api/v1/whatsapp_configs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "config-123abc",
"name": "Client WhatsApp",
"display_name": "Client WhatsApp (+1234567890)",
"phone_number_id": "1234567890",
"business_account_id": "98765432109",
"kind": "production",
"display_phone_number": "+56 9 61461262",
"display_phone_number_normalized": "56961461262",
"is_coexistence": true,
"webhook_verified_at": "2023-11-07T05:31:56Z",
"customer_id": "customer-456def",
"inbound_processing_enabled": true,
"calls_enabled": false,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "Resource not found",
"status": 404,
"message": "The requested resource could not be found"
}{
"error": "Resource not found",
"status": 404,
"message": "The requested resource could not be found"
}{
"error": "Resource not found",
"status": 404,
"message": "The requested resource could not be found"
}WhatsApp Configs
Update WhatsApp config
Updates a WhatsApp configuration’s details
PATCH
/
whatsapp_configs
/
{id}
Update WhatsApp config
Authorizations
API key required for all endpoints
Path Parameters
WhatsApp config ID
Body
application/json
Show child attributes
Show child attributes
Response
WhatsApp configuration updated
WhatsApp configuration resource returned by the External API.
Sensitive write-only fields like webhook_verify_token, webhook_destination_url,
and access_token are intentionally omitted from responses.
Show child attributes
Show child attributes
⌘I

